### DB_MPOOLFILE->set_ftype

`

###

    #include <db.h>

    int
    DB_MPOOLFILE->set_ftype(DB_MPOOLFILE *mpf, int ftype);

    int
    DB_MPOOLFILE->get_ftype(DB_MPOOLFILE *mpf, int *ftypep);

### Description: DB_MPOOLFILE->set_ftype

The DB_MPOOLFILE->set_ftype method specifies a file type for the purposes of input or output processing of the file's pages as they are read from or written to, the backing filesystem store.

The DB_MPOOLFILE->set_ftype method configures a file in the memory pool, not only operations performed using the specified DB_MPOOLFILE handle.

The DB_MPOOLFILE->set_ftype method may not be called after the DB_MPOOLFILE->open method is called. If the file is already open in the memory pool when DB_MPOOLFILE->open is called, the information specified to DB_MPOOLFILE->set_ftype will replace the existing information.

The DB_MPOOLFILE->set_ftype method returns a non-zero error value on failure and 0 on success.

### Parameters

ftype
  The ftype parameter sets the file's type for the purposes of input and output processing. The ftype must be the same as a ftype parameter previously specified to the DB_ENV->memp_register method. (See the DB_ENV->memp_register documentation for more information.)

### Description: DB_MPOOLFILE->get_ftype

The DB_MPOOLFILE->get_ftype method returns the file type.

The DB_MPOOLFILE->get_ftype method may be called at any time during the life of the application.

The DB_MPOOLFILE->get_ftype method returns a non-zero error value on failure and 0 on success.

### Parameters

ftypep
  The DB_MPOOLFILE->get_ftype method returns the file type in ftypep.

### Class

DB_ENV, DB_MPOOLFILE

### See Also

Memory Pools and Related Methods`

Copyright (c) 1996,2007 Oracle. All rights reserved.